## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iRendererLightmap Struct Reference
[3D]

A lightmap registered with a renderer. More...

`#include <ivideo/txtmgr.h>`

Inheritance diagram for iRendererLightmap:

[legend]
List of all members.

## Public Member Functions

virtual void | GetSLMCoords (int &left, int &top, int &width, int &height)=0
| Retrieve the coordinates of this lightmap in the superlightmap, in the 'absolute' system used by iSuperLightmap::RegisterLightmap().
virtual void | SetData (csRGBpixel *data)=0
| Set the image data of this lightmap.

## Detailed Description

A lightmap registered with a renderer.

Definition at line 114 of file txtmgr.h.

## Member Function Documentation

virtual void iRendererLightmap::GetSLMCoords | ( | int & | left,
|  | int & | top,
|  | int & | width,
|  | int & | height
| ) | `[pure virtual]`

| Retrieve the coordinates of this lightmap in the superlightmap, in the 'absolute' system used by iSuperLightmap::RegisterLightmap().

virtual void iRendererLightmap::SetData | ( | csRGBpixel * | data | ) | `[pure virtual]`

| Set the image data of this lightmap.

The documentation for this struct was generated from the following file:

- ivideo/txtmgr.h